package benannterportlistener;

import javax.comm.*;

/**
 * Title:        Port Listener mit lesbaren Portnamen
 * Description:  Einfaches Anwendungsbeispiel einiger Basisklassen vom Java Communicatiosn API
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class NamedPortListener {
  public static void main(String[] args) {

    // COM Ports Serielle Ports
    try {
      int portNumber = 1;
      while (true) {
        CommPortIdentifier.getPortIdentifier("COM"+portNumber);
        System.out.println("COM"+portNumber);
        portNumber++;
      }
    } catch(NoSuchPortException e) {
      // Ende der Schleife
    }

    // LPT Ports Parallele Ports
    try {
      int portNumber = 1;
      while (true) {
        CommPortIdentifier.getPortIdentifier("LPT"+portNumber);
        System.out.println("LPT"+portNumber);
        portNumber++;
      }
    } catch(NoSuchPortException e) {
      // Ende der Schleife
    }
  }
}